summaryrefslogtreecommitdiffstats
path: root/kde/KDE.SlackBuild
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 14:56:40 +0100
commit290362d91d840ad6feed5b59191a058f5e998d3c (patch)
tree0627e989dab744a67ee2b8a073964c1c5c5b66b9 /kde/KDE.SlackBuild
downloadktown-290362d91d840ad6feed5b59191a058f5e998d3c.tar.gz
ktown-290362d91d840ad6feed5b59191a058f5e998d3c.tar.xz
KDE 4.6.5 for Slackware 13.37 (07jul2011)4.6.5
Diffstat (limited to 'kde/KDE.SlackBuild')
-rwxr-xr-xkde/KDE.SlackBuild74
1 files changed, 74 insertions, 0 deletions
diff --git a/kde/KDE.SlackBuild b/kde/KDE.SlackBuild
new file mode 100755
index 0000000..9264da3
--- /dev/null
+++ b/kde/KDE.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Build (and install) all KDE core packages.
+# Written for Slackware by volkerdi@slackware.com.
+# Modified for KDE4 by Robby Workman <rworkman@slackware.com>
+# Modified for KDE4 by Eric Hameleers <alien@slackware.com>
+
+# kdeaccessibility builds plugins for epos, festival, flite, freetts, and
+# hadifix, so they should work with kde if any of those are installed later
+
+# Set the config option variables if they are not already set:
+[ -r ./KDE.options ] && . ./KDE.options
+
+# This avoids compiling a version number into KDE's .la files:
+QTDIR=/usr/lib${LIBDIRSUFFIX}/qt ; export QTDIR
+
+# Get the kde environment variables
+[ -d kdebase ] && eval $(sed -e "s#/lib#/lib${LIBDIRSUFFIX}#" ./kdebase/profile.d/kde.sh)
+
+KDEMODS=" \
+ polkit-qt-1 \
+ kdelibs \
+ kdepimlibs \
+ kdebase \
+ kdebase-workspace \
+ kdebase-runtime \
+ kdesdk \
+ kdegraphics \
+ kdebindings \
+ kdebase-workspace \
+ kdeaccessibility \
+ kdeutils \
+ kdemultimedia \
+ kdenetwork \
+ oxygen-icons \
+ kdeadmin \
+ kdeartwork \
+ kdegames \
+ kdetoys \
+ kdepim \
+ kdepim-runtime \
+ kdeedu \
+ kdewebdev \
+ kdeplasma-addons \
+ polkit-kde-agent-1 \
+ polkit-kde-kcmodules-1 "
+
+# Allow for specification of individual packages to be built:
+if [ -z "$1" ]; then
+ MODQUEUE=$KDEMODS
+else
+ MODQUEUE=$*
+fi
+
+# Yes, we know kdebase-workspace is built twice. kdebase needs the
+# plasma bits from it, and then we build it again for good measure...
+for module in \
+ $MODQUEUE ;
+do
+ cd $module
+ ./$module.SlackBuild
+ if [ $? = 0 ]; then
+ # Yes, I will build with the fresh packages installed:
+ upgradepkg --install-new --reinstall /tmp/${module}-*.txz
+ # Keep MIME database current:
+ /usr/bin/update-mime-database /usr/share/mime 1> /dev/null 2> /dev/null &
+ rm -rf /tmp/package-${module} /tmp/${module}-$VERSION
+ else
+ echo "${module} failed to build."
+ exit 1
+ fi
+ cd - ;
+done
+